Package org.kapott.hbci.GV

# Class GVTermMultiUebSEPA

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.AbstractSEPAGV
org.kapott.hbci.GV.GVUebSEPA
org.kapott.hbci.GV.GVMultiUebSEPA
org.kapott.hbci.GV.GVTermMultiUebSEPA

All Implemented Interfaces:
  `HBCIJob`

public class GVTermMultiUebSEPA extends GVMultiUebSEPA
Job-Implementierung fuer terminierte SEPA-Sammelueberweisungen.

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVTermMultiUebSEPA(HBCIHandler handler)`
ct.
`GVTermMultiUebSEPA(HBCIHandler handler, String name)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`static String`
`getLowlevelName()`
Liefert den Lowlevel-Namen des Jobs.

### Methods inherited from class org.kapott.hbci.GV.GVMultiUebSEPA

`createSEPAFromParams, getChallengeParam, getPainJobName`

### Methods inherited from class org.kapott.hbci.GV.GVUebSEPA

`getDefaultPainVersion, getPainType`

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, getLowlevelParam, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVTermMultiUebSEPA

public GVTermMultiUebSEPA(HBCIHandler handler)
ct.

Parameters:
  `handler` -

### GVTermMultiUebSEPA

public GVTermMultiUebSEPA(HBCIHandler handler, String name)
ct.

Parameters:
  `handler` -
  `name` -

## Method Details

### getLowlevelName

public static String getLowlevelName()
Liefert den Lowlevel-Namen des Jobs.

Returns:
  der Lowlevel-Namen des Jobs.

### extractResults

protected void extractResults(HBCIMsgStatus msgstatus, String header, int idx)

Overrides:
  `extractResults` in class `HBCIJobImpl`
See Also:
  - `HBCIJobImpl.extractResults(org.kapott.hbci.status.HBCIMsgStatus, java.lang.String, int)`